# Get content type field sources

Retrieves source items for multiple fields in a specified content type. Returns the source items page and a continuation token for the next field page.
Pass a field response's `continuationToken` to the single-field GET endpoint 'Get content type field source' to continue that field.
Pass the top-level `continuationToken` to this endpoint to continue the requested field collection via the `x-sc-continuation` header.

Endpoint: POST /api/v1/content-types/{modelId}/sources
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `modelId` (string, required)
    The content type identifier.

## Query parameters:

  - `siteId` (string)
    The site identifier.

  - `environmentId` (string)
    The environment identifier. Defaults to "main". Currently only "main" is supported.

  - `pageSize` (integer)
    The maximum number of fields to return.

  - `sourcePageSize` (integer)
    The maximum number of source items to return per field.

## Header parameters:

  - `x-sc-continuation` (string)
    The continuation token returned by a previous response.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    The field identifiers to resolve, in request order.

## Request fields (application/json):

  - `fieldIds` (array, required)
    The content type field identifiers, in the order in which results should be returned.
    Example: ["110D559F-DEA5-42EA-9C1C-8A5DF7E70EF","220D559F-DEA5-42EA-9C1C-8A5DF7E70EF"]

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `fields` (array)
    The source results for fields in the current page.

  - `fields.fieldId` (string)
    The content type field identifier.
    Example: field-id

  - `fields.data` (array)
    The source items in the field's first page.

  - `fields.data.sourceIndex` (integer)
    The zero-based source segment index from which this item originated.
    Example: 1

  - `fields.data.id` (string)
    The id of the field source
    Example: 2492bac4-da07-4c86-87f0-9873d40e2276

  - `fields.data.name` (string)
    The name of the field source
    Example: SourceItem1

  - `fields.data.version` (string)
    The version of the field source
    Example: 1

  - `fields.data.displayName` (string)
    The display name of the field source
    Example: Source Item 1

  - `fields.data.locale` (string)
    The locale of the field source
    Example: en

  - `fields.continuationToken` (string)
    The opaque token for retrieving the next page for this field, or null when complete.
    Example: opaque-token-from-previous-response

  - `continuationToken` (string)
    The opaque token for retrieving the next field page, or null when complete.
    Example: opaque-token-from-previous-response

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

